-- Cooldown Module

local width, height = 250, 22

function SN:CoolDowns()
	
	SN.F.cooldowns = SN.timers:NewGroup(250, "CDGroup", cdowngrp)
	SN.F.cooldowns:SetSpacing(0, 7)
	SN.F.cooldowns:SetStartPoint("bottomleft")
	SN.F.cooldowns:SetSorting("time")
	SN.F.cooldowns:SetPoint("CENTER", UIParent, "CENTER", -300, 200)
	print("I Got Made")
	SN.F.cooldowns:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
	SN.F.cooldowns:SetScript("OnEvent", function(self, event, ...)
		SN:UpdateCooldown(self, event, unit, ...)
	end)
end

function SN:UpdateCooldown(group, event, unit, ...)
	
	if(event == "COMBAT_LOG_EVENT_UNFILTERED") then
		local timestamp, type,_, sourceGUID, sourceName,_,_, destGUID, destName = select(1, ...)
		local spellId, spellName, spellSchool = select(12, ...)
		local index = 0
		for i, cooldown in pairs(SN.cooldowns) do
			if(type == cooldown['succ']) then
				if(spellId == cooldown['spellID']) then
					if sourceGUID == UnitGUID("player") then
						SN:StartCD(group, cooldown, sourceGUID, sourceName, spellName, type)
					end
				end
			end
		end
	end	
end